input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

:active, :hover, :focus {
    outline: 0 !important;
    outline-offset: 0 !important;
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    width: 100%;
    display: block;
    font-weight: 400;
    position: relative;
    background: transparent;
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        height: rem(48);
        outline: none;
        color: var(--color-white);
        box-shadow: none;
        font-weight: 700;
        font-size: rem(14);
        line-height: rem(22);
        padding: rem(12) rem(14);
        background: transparent;
        display: inline-block;
        vertical-align: middle;
        border: rem(1) solid #6B6F78;

        &::placeholder {
            color: #BABABA;
            font-weight: 400;
        }

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            border-color: $white;
            @include placeholder(transparent);
        }

        &.error {
            border-color: red !important;
        }
    }

    textarea {
        height: auto;
        resize: none;
    }

    &__icon {
        fill: #5b3d38;
        font-size: 0;
        line-height: 0;
        top: calc(50% - 0.5rem);
        left: rem(16);
        height: rem(16);
        position: absolute;
        display: inline-block;
    }

    &__error {
        display: none;
        color: #FF7979;
        font-size: rem(14);
        line-height: normal;
        margin-top: rem(8);

    }

    &--error {

        #{$input-selector} {
            color: #FF7979;
            border-color: #FF7979 !important;

            &::placeholder {
                color: #FF7979;
            }
        }

        .field__error {
            display: block !important;
        }
    }

    &--md {

        #{$input-selector} {
            height: rem(56);
            font-size: rem(16);
            padding-top: rem(16);
            padding-bottom: rem(16);

            &::placeholder {
                color: $white;
                font-weight: 500;
            }
        }
    }

    &--icon {

        #{$input-selector} {
            padding-left: rem(48);
        }
    }

    @include media-breakpoint-up(md) {

        #{$input-selector} {
            height: rem(56);
            padding-top: rem(16);
            padding-bottom: rem(16);
        }

        textarea {
            height: auto;
            resize: none;
        }
    }
}
